### Method

# Gimp Procedure add_return_value_from_property

unstable since: 3.0

#### Declaration [src]

    GParamSpec*
    gimp_procedure_add_return_value_from_property (
      GimpProcedure* procedure,
      GObject* config,
      const gchar* prop_name
    )

#### Description [src]

Add a new return value to `procedure` according to the specifications of the property `prop_name` registered on `config`.

The returned values will be ordered according to the call order to `gimp_procedure_add_return_value()` and `gimp_procedure_add_return_value_from_property()`.

Available since: 3.0

#### Parameters

`config`

  Type: `GObject`

  A `GObject`.

  The data is owned by the caller of the function.

`prop_name`

  Type: `const gchar*`

  Property name in `config`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GParamSpec`

The added `GParamSpec`.

The data is owned by the instance.